Get WhatsApp Details
curl --request GET \
--url https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id} \
--header 'Authorization: <authorization>'import requests
url = "https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message_id": "eqZxFCfgLXtuHlyOikbMjoVImlJzZQ",
"wamid": "wamid.HBgMOTE4MjQ5NTg3NTUyFQIAERgSREYzODA5ODlFQzdBQjVDNzBGAA==",
"agent_id": "PPTnLQAvGlLtVgRbpcFn",
"campaign_id": "xyGwYgmSSUsGKtTPmxTv",
"to": "8249587552",
"status": "Accepted",
"template_id": "hfu7VL6sBhI6NPm",
"name": "Subhranshu Choudhury",
"loan_id": "LOANID-2043153",
"conversation": [
{
"role": "assistant",
"content": "Hi Anmol, this is to remind you of your upcoming auto-pay: \n\nDate: 2025-06-11\nAccount: 3583791\nAmount: 10000\n\nThank you and have a nice day.",
"timestamp": "2026-02-12T16:23:36"
},
{
"role": "user",
"content": "Hi",
"timestamp": "2026-02-12T16:28:58"
},
{
"role": "assistant",
"content": "Hi Anmol,\n\nWelcome to timepay.ai! I'm your personal credit coach, here to assist you in resolving your negative accounts.\n\nLet's get started.\n",
"timestamp": "2026-02-12T16:28:59"
},
{
"role": "user",
"content": "Yes",
"timestamp": "2026-02-12T16:29:10"
},
{
"role": "assistant",
"content": "Please wait while we fetch your accounts...\n",
"timestamp": "2026-02-12T16:29:11"
},
{
"role": "user",
"content": "Any update",
"timestamp": "2026-02-12T16:29:37"
}
],
"errors": []
}
}
{
"success": false,
"message": "message_id is required and must be a string"
}
{
"success": false,
"message": "WhatsApp message not found"
}
{
"success": false,
"error": "Internal Server Error",
"message": "An unexpected error occurred"
}
Details
Get WhatsApp Details
Retrieve detailed information about a specific WhatsApp conversation including the message thread, delivery status, and metadata.
Get WhatsApp Details
Headers
string
required
Bearer token for authentication (e.g.,
Bearer <your_token>).Path Parameters
string
required
The unique identifier of the WhatsApp message/conversation.
Response
boolean
Indicates whether the request was successful.
object
WhatsApp message details object.
Show properties
Show properties
string
Unique message identifier.
string
WhatsApp message ID assigned by Meta.
string
AI agent that handled the conversation.
array
string
Customer’s name as specified in campaign data
string
Campaign the message belongs to.
string
Customer’s WhatsApp number.
string
Overall conversation status.
Show possible values
Show possible values
Accepted— Message Accepted.Sent— Message Sent.Delivered— Message delivered.Read— Message read.Failed— Message failed to sent.
string
WhatsApp template ID.
array
List of errors if any.
string
Present only for Collection organizations. Unique loan identifier of the customer.
string
Present only for Lead Generation organizations. Unique lead identifier of the customer.
{
"success": true,
"data": {
"message_id": "eqZxFCfgLXtuHlyOikbMjoVImlJzZQ",
"wamid": "wamid.HBgMOTE4MjQ5NTg3NTUyFQIAERgSREYzODA5ODlFQzdBQjVDNzBGAA==",
"agent_id": "PPTnLQAvGlLtVgRbpcFn",
"campaign_id": "xyGwYgmSSUsGKtTPmxTv",
"to": "8249587552",
"status": "Accepted",
"template_id": "hfu7VL6sBhI6NPm",
"name": "Subhranshu Choudhury",
"loan_id": "LOANID-2043153",
"conversation": [
{
"role": "assistant",
"content": "Hi Anmol, this is to remind you of your upcoming auto-pay: \n\nDate: 2025-06-11\nAccount: 3583791\nAmount: 10000\n\nThank you and have a nice day.",
"timestamp": "2026-02-12T16:23:36"
},
{
"role": "user",
"content": "Hi",
"timestamp": "2026-02-12T16:28:58"
},
{
"role": "assistant",
"content": "Hi Anmol,\n\nWelcome to timepay.ai! I'm your personal credit coach, here to assist you in resolving your negative accounts.\n\nLet's get started.\n",
"timestamp": "2026-02-12T16:28:59"
},
{
"role": "user",
"content": "Yes",
"timestamp": "2026-02-12T16:29:10"
},
{
"role": "assistant",
"content": "Please wait while we fetch your accounts...\n",
"timestamp": "2026-02-12T16:29:11"
},
{
"role": "user",
"content": "Any update",
"timestamp": "2026-02-12T16:29:37"
}
],
"errors": []
}
}
{
"success": false,
"message": "message_id is required and must be a string"
}
{
"success": false,
"message": "WhatsApp message not found"
}
{
"success": false,
"error": "Internal Server Error",
"message": "An unexpected error occurred"
}

